package com.bjtdba.merchant.service.impl;

import com.bjtdba.entity.merchant.SystemConfigValue;
import com.bjtdba.merchant.dao.SystemConfigValueDao;
import com.bjtdba.merchant.service.SystemConfigValueService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * 配置表(SystemConfigValue)表服务实现类
 *
 * @author makejava
 * @since 2022-08-07 14:50:38
 */

@Service
public class SystemConfigValueServiceImpl implements SystemConfigValueService {
    @Resource
    private SystemConfigValueDao systemConfigValueDao;

	/**
     *通过ID查询单条数据
     *
     *@param configValueId 主键
     *@return 实例对象
	 */


    public SystemConfigValue queryById(Object configValueId) {
        return this.systemConfigValueDao.queryById(configValueId);
    }



    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit 查询条数
     * @return 对象列表
     */


    public List<SystemConfigValue> queryAllByLimit(int offset, int limit) {
        return this.systemConfigValueDao.queryAllByLimit(offset, limit);
    }

	/**
	 *查询多条数据
     *
     * @param  rrxSystemConfigValue
     * @return 对象列表
     */

    public List<SystemConfigValue> queryAll(SystemConfigValue rrxSystemConfigValue) {

        return this.systemConfigValueDao.queryAll(rrxSystemConfigValue);
    }

	/**
	 *
	 *通过实体作为筛选条件查询统计个数
	 *
	 *@param rrxSystemConfigValue 实例对象
	 *@return 条数
	 */


	public int queryAllCount(SystemConfigValue rrxSystemConfigValue){
		 return this.systemConfigValueDao.queryAllCount(rrxSystemConfigValue);
	}

    /**
     * 新增数据
     *
     * @param rrxSystemConfigValue 实例对象
     * @return 实例对象
     */

    public SystemConfigValue insert(SystemConfigValue rrxSystemConfigValue) {
        this.systemConfigValueDao.insert(rrxSystemConfigValue);
        return rrxSystemConfigValue;
    }

    /**
     * 修改数据
     *
     * @param rrxSystemConfigValue 实例对象
     * @return 实例对象
     */


    public SystemConfigValue update(SystemConfigValue rrxSystemConfigValue) {
        this.systemConfigValueDao.update(rrxSystemConfigValue);
        return this.queryById(rrxSystemConfigValue.getConfigValueId());
    }

	/**
     * 通过主键删除数据
     *
     * @param configValueId 主键
     * @return 是否成功
     */


    public boolean deleteById(Object configValueId) {
        return this.systemConfigValueDao.deleteById(configValueId) > 0;
    }

    public boolean updateShopBonusSetting(String mer_id,String value) {
        System.out.println("mer_id======"+mer_id);
        Integer mer_id1 = Integer.parseInt(mer_id);
        String configValue = systemConfigValueDao.getConfigValueByMerId("base_commission",mer_id1);
        int status = 0;
        if(configValue!=null){
           systemConfigValueDao.updateConfigValueByMerId("base_commission",mer_id1,value);
        }else{
            SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");//设置日期格式
            //添加进去
            SystemConfigValue rrxSystemConfigValue = new SystemConfigValue();
            rrxSystemConfigValue.setConfigKey("base_commission");
            rrxSystemConfigValue.setValue(value);
            rrxSystemConfigValue.setCreateTime(new Date());
            rrxSystemConfigValue.setMerId(mer_id1);
            systemConfigValueDao.insert(rrxSystemConfigValue);
        }

        return true;
    }

    public String getShopBonusSetting(String mer_id) {

        System.out.println("mer_id======"+mer_id);
        Integer mer_id1 = Integer.parseInt(mer_id);
        return systemConfigValueDao.getConfigValueByMerId("base_commission",mer_id1);
    }
}
